<html>
<head>
<title>Ogre::WindowEventUtilities Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1WindowEventUtilities.html">WindowEventUtilities</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::WindowEventUtilities Class Reference<div class="ingroups"><a class="el" href="group__RenderSystem.html">RenderSystem</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::WindowEventUtilities" -->
<p><code>#include &lt;<a class="el" href="OgreWindowEventUtilities_8h_source.html">OgreWindowEventUtilities.h</a>&gt;</code></p>

<p><a href="classOgre_1_1WindowEventUtilities-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1multimap.html">multimap</a>&lt; <a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> <br class="typebreak"/>
*, <a class="el" href="classOgre_1_1WindowEventListener.html">WindowEventListener</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WindowEventUtilities.html#aafdcf922139191ea16619f5ac6da2627">WindowEventListeners</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WindowEventUtilities.html#a75753b8587c1b0de1dd271545a317e93">Windows</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WindowEventUtilities.html#a2b01f340e3022446fa9e7a0addeb6610">messagePump</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WindowEventUtilities.html#a23cdc6e59dbbb5415d921df8a2b8631b">addWindowEventListener</a> (<a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *window, <a class="el" href="classOgre_1_1WindowEventListener.html">WindowEventListener</a> *listener)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WindowEventUtilities.html#ad43ba51bd926251f959a23d6883de815">removeWindowEventListener</a> (<a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *window, <a class="el" href="classOgre_1_1WindowEventListener.html">WindowEventListener</a> *listener)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WindowEventUtilities.html#ab208c9879ca60777fcb5e84c05be2b3a">_addRenderWindow</a> (<a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *window)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WindowEventUtilities.html#ad33fda52ffa451f45f2f9f08a2970bd5">_removeRenderWindow</a> (<a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *window)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1WindowEventUtilities.html#aafdcf922139191ea16619f5ac6da2627">WindowEventListeners</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WindowEventUtilities.html#a482ccdb9b1bbdc5439c622399ff4b0b9">_msListeners</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1WindowEventUtilities.html#a75753b8587c1b0de1dd271545a317e93">Windows</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WindowEventUtilities.html#a930c740afae53b8336150b4b9794c96f">_msWindows</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><dl class="remark"><dt><b>Remarks:</b></dt><dd>Utility class to handle Window Events/Pumping/Messages </dd></dl>

<p>Definition at line <a class="el" href="OgreWindowEventUtilities_8h_source.html#l00118">118</a> of file <a class="el" href="OgreWindowEventUtilities_8h_source.html">OgreWindowEventUtilities.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="aafdcf922139191ea16619f5ac6da2627"></a><!-- doxytag: member="Ogre::WindowEventUtilities::WindowEventListeners" ref="aafdcf922139191ea16619f5ac6da2627" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1multimap.html">multimap</a>&lt;<a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a>*, <a class="el" href="classOgre_1_1WindowEventListener.html">WindowEventListener</a>*&gt;::type <a class="el" href="classOgre_1_1WindowEventUtilities.html#aafdcf922139191ea16619f5ac6da2627">Ogre::WindowEventUtilities::WindowEventListeners</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreWindowEventUtilities_8h_source.html#l00177">177</a> of file <a class="el" href="OgreWindowEventUtilities_8h_source.html">OgreWindowEventUtilities.h</a>.</p>

</div>
</div>
<a class="anchor" id="a75753b8587c1b0de1dd271545a317e93"></a><!-- doxytag: member="Ogre::WindowEventUtilities::Windows" ref="a75753b8587c1b0de1dd271545a317e93" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a>*&gt;::type <a class="el" href="classOgre_1_1WindowEventUtilities.html#a75753b8587c1b0de1dd271545a317e93">Ogre::WindowEventUtilities::Windows</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreWindowEventUtilities_8h_source.html#l00180">180</a> of file <a class="el" href="OgreWindowEventUtilities_8h_source.html">OgreWindowEventUtilities.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ab208c9879ca60777fcb5e84c05be2b3a"></a><!-- doxytag: member="Ogre::WindowEventUtilities::_addRenderWindow" ref="ab208c9879ca60777fcb5e84c05be2b3a" args="(RenderWindow *window)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1WindowEventUtilities.html#ab208c9879ca60777fcb5e84c05be2b3a">Ogre::WindowEventUtilities::_addRenderWindow</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>window</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Called by RenderWindows upon creation for <a class="el" href="namespaceOgre.html">Ogre</a> generated windows. You are free to add your external windows here too if needed. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">window</td><td>The <a class="el" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a> to monitor </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad33fda52ffa451f45f2f9f08a2970bd5"></a><!-- doxytag: member="Ogre::WindowEventUtilities::_removeRenderWindow" ref="ad33fda52ffa451f45f2f9f08a2970bd5" args="(RenderWindow *window)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1WindowEventUtilities.html#ad33fda52ffa451f45f2f9f08a2970bd5">Ogre::WindowEventUtilities::_removeRenderWindow</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>window</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Called by RenderWindows upon creation for <a class="el" href="namespaceOgre.html">Ogre</a> generated windows. You are free to add your external windows here too if needed. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">window</td><td>The <a class="el" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a> to remove from list </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a23cdc6e59dbbb5415d921df8a2b8631b"></a><!-- doxytag: member="Ogre::WindowEventUtilities::addWindowEventListener" ref="a23cdc6e59dbbb5415d921df8a2b8631b" args="(RenderWindow *window, WindowEventListener *listener)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1WindowEventUtilities.html#a23cdc6e59dbbb5415d921df8a2b8631b">Ogre::WindowEventUtilities::addWindowEventListener</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>window</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1WindowEventListener.html">WindowEventListener</a> *&#160;</td>
          <td class="paramname"><em>listener</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Add a listener to listen to renderwindow events (multiple listener's per renderwindow is fine) The same listener can listen to multiple windows, as the Window Pointer is sent along with any messages. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">window</td><td>The <a class="el" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a> you are interested in monitoring </td></tr>
    <tr><td class="paramname">listner</td><td>Your callback listener </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2b01f340e3022446fa9e7a0addeb6610"></a><!-- doxytag: member="Ogre::WindowEventUtilities::messagePump" ref="a2b01f340e3022446fa9e7a0addeb6610" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1WindowEventUtilities.html#a2b01f340e3022446fa9e7a0addeb6610">Ogre::WindowEventUtilities::messagePump</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Call this once per frame if not using <a class="el" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a>:startRendering(). This will update all registered RenderWindows (If using external Windows, you can optionally register those yourself) </dd></dl>

</div>
</div>
<a class="anchor" id="ad43ba51bd926251f959a23d6883de815"></a><!-- doxytag: member="Ogre::WindowEventUtilities::removeWindowEventListener" ref="ad43ba51bd926251f959a23d6883de815" args="(RenderWindow *window, WindowEventListener *listener)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1WindowEventUtilities.html#ad43ba51bd926251f959a23d6883de815">Ogre::WindowEventUtilities::removeWindowEventListener</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>window</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1WindowEventListener.html">WindowEventListener</a> *&#160;</td>
          <td class="paramname"><em>listener</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Remove previously added listener </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">window</td><td>The <a class="el" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a> you registered with </td></tr>
    <tr><td class="paramname">listner</td><td>The listener registered </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a482ccdb9b1bbdc5439c622399ff4b0b9"></a><!-- doxytag: member="Ogre::WindowEventUtilities::_msListeners" ref="a482ccdb9b1bbdc5439c622399ff4b0b9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1WindowEventUtilities.html#aafdcf922139191ea16619f5ac6da2627">WindowEventListeners</a> <a class="el" href="classOgre_1_1WindowEventUtilities.html#a482ccdb9b1bbdc5439c622399ff4b0b9">Ogre::WindowEventUtilities::_msListeners</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreWindowEventUtilities_8h_source.html#l00178">178</a> of file <a class="el" href="OgreWindowEventUtilities_8h_source.html">OgreWindowEventUtilities.h</a>.</p>

</div>
</div>
<a class="anchor" id="a930c740afae53b8336150b4b9794c96f"></a><!-- doxytag: member="Ogre::WindowEventUtilities::_msWindows" ref="a930c740afae53b8336150b4b9794c96f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1WindowEventUtilities.html#a75753b8587c1b0de1dd271545a317e93">Windows</a> <a class="el" href="classOgre_1_1WindowEventUtilities.html#a930c740afae53b8336150b4b9794c96f">Ogre::WindowEventUtilities::_msWindows</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreWindowEventUtilities_8h_source.html#l00181">181</a> of file <a class="el" href="OgreWindowEventUtilities_8h_source.html">OgreWindowEventUtilities.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreWindowEventUtilities_8h_source.html">OgreWindowEventUtilities.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
